<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Http;

class updateJbg extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'update:jbg {--all : all zone} {--1 : update zone 1} {--2 : update zone 2} {--3 : update zone3}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Update JBG for every active gadai';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        if($this->option('all')){
            $zone = 'all';
        }else if($this->option('1')){
            $zone = '1';
        }else if ($this->option('2')){
            $zone = '2';
        }else if ($this->option('3')){
            $zone = '3';
        }
        $updatejbg = Http::withOptions(['verify' => config('app.api_verify')])->get(config('api.url') . '/api/updatejbgsemasa',[
            'zone' => $zone
        ])->json();
        $updatejbgLelong = Http::withOptions(['verify' => config('app.api_verify')])->get(config('api.url') . '/api/updatejbglelong',[
            'zone' => $zone
        ])->json();
        $hapusGadaiNull = Http::withOptions(['verify' => config('app.api_verify')])->get(config('api.url') . '/api/hapus/gadai/null')->json();
        if($updatejbg == 'successful'){
            $this->info('Success');
        }else{
            $this->info('Failed');
        }
    }
}
